export declare const directiveTypeDefs = "\n\"\"\"Represents the direction of an edge in the graph relative to the current node\"\"\"\nenum AqlEdgeDirection {\n  OUTBOUND\n  INBOUND\n  ANY\n}\n\n\"\"\"Represents the order of a sorting operation\"\"\"\nenum AqlSortOrder {\n  DESC\n  ASC\n}\n\nenum AqlRelayConnectionSource {\n  Default\n  FullText\n}\n\ninput AqlSortInput {\n  \"\"\"The property to sort on\"\"\"\n  property: String!\n  \"\"\"The order to sort in. Defaults ASC\"\"\"\n  order: AqlSortOrder = ASC\n  \"\"\"Change the object being sorted. Defaults to $field\"\"\"\n  sortOn: String\n}\n\ninput AqlLimitInput {\n  \"\"\"The upper limit of documents to return\"\"\"\n  count: String!\n  \"\"\"The number of documents to skip\"\"\"\n  skip: String\n}\n\ninput AqlTraverseOptionsInput {\n  \"\"\"Enables breadth-first search\"\"\"\n  bfs: Boolean\n  \"\"\"\n  - \"path\": guarantees no path is returned with a duplicate vertex\n  - \"global\": guarantees each vertex is visited at most once for the whole traversal\n  - \"none\": (default) no uniqueness check\n  \"\"\"\n  uniqueVertices: String\n  \"\"\"\n  - \"path\": (default) guarantees no path is returned with a duplicate edge\n  - \"none\": allows paths to 'double back' onto edges cyclically\n  \"\"\"\n  uniqueEdges: String\n}\n\ndirective @aqlDocument(\n  collection: String!\n  key: String\n  filter: String\n  sort: AqlSortInput\n  limit: AqlLimitInput\n) on FIELD_DEFINITION\n\ndirective @aqlNode(\n  edgeCollection: String!\n  direction: AqlEdgeDirection!\n  filter: String\n  sort: AqlSortInput\n  limit: AqlLimitInput\n  options: AqlTraverseOptionsInput\n) on FIELD_DEFINITION\n\ndirective @aqlEdge(\n  direction: AqlEdgeDirection!\n  collection: String!\n  filter: String\n  sort: AqlSortInput\n  limit: AqlLimitInput\n  options: AqlTraverseOptionsInput\n) on FIELD_DEFINITION\n\ndirective @aqlEdgeNode on FIELD_DEFINITION\n\ndirective @aql(\n  expression: String!\n) on FIELD_DEFINITION\n\ndirective @aqlSubquery(\n  query: String!\n  return: String\n) on FIELD_DEFINITION\n\ndirective @aqlKey on FIELD_DEFINITION\n\ndirective @aqlRelayConnection(\n  edgeCollection: String\n  edgeDirection: AqlEdgeDirection\n  documentCollection: String\n  cursorProperty: String!\n  source: AqlRelayConnectionSource = Default\n  fullTextTerm: String\n  fullTextProperty: String\n  cursorOnEdge: Boolean = false\n) on FIELD_DEFINITION | OBJECT\n\ndirective @aqlRelayEdges on FIELD_DEFINITION | OBJECT\n\ndirective @aqlRelayPageInfo on FIELD_DEFINITION | OBJECT\n\ndirective @aqlRelayNode on FIELD_DEFINITION | OBJECT\n";
